curl -X POST https://chatbot.menuia.com/api/developer \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"message": "false",
"listaQrcode": "true"
}'
const response = await fetch('https://chatbot.menuia.com/api/developer', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
message: 'false',
listaQrcode: 'true'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/developer',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'false',
'listaQrcode': 'true'
}
)
$response = Http::post('https://chatbot.menuia.com/api/developer', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'false',
'listaQrcode' => 'true'
]);
{
"status": 200,
"links": [
{
"id": "123",
"nome": "Dispositivo 1",
"link": "https://chatbot.menuia.com/qr/..."
}
]
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum link de compartilhamento encontrado."
}
Dispositivos
Listar Links QR
POST
/
api
/
developer
curl -X POST https://chatbot.menuia.com/api/developer \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"message": "false",
"listaQrcode": "true"
}'
const response = await fetch('https://chatbot.menuia.com/api/developer', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
message: 'false',
listaQrcode: 'true'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/developer',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'false',
'listaQrcode': 'true'
}
)
$response = Http::post('https://chatbot.menuia.com/api/developer', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'false',
'listaQrcode' => 'true'
]);
{
"status": 200,
"links": [
{
"id": "123",
"nome": "Dispositivo 1",
"link": "https://chatbot.menuia.com/qr/..."
}
]
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum link de compartilhamento encontrado."
}
Descrição
Este endpoint permite listar os links de compartilhamento de QRcode associados ao aplicativo ou dispositivo, fornecendo oappkey ou nome do dispositivo.
Parâmetros
string
required
O
appkey ou nome do dispositivo associado ao QRcode.string
required
Chave de autenticação do usuário.
string
required
Deve ser “false” para indicar que o objetivo é listar os QRcodes.
string
required
Deve ser “true” para listar os links de compartilhamento de QRcode.
curl -X POST https://chatbot.menuia.com/api/developer \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"message": "false",
"listaQrcode": "true"
}'
const response = await fetch('https://chatbot.menuia.com/api/developer', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
message: 'false',
listaQrcode: 'true'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/developer',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'false',
'listaQrcode': 'true'
}
)
$response = Http::post('https://chatbot.menuia.com/api/developer', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'false',
'listaQrcode' => 'true'
]);
{
"status": 200,
"links": [
{
"id": "123",
"nome": "Dispositivo 1",
"link": "https://chatbot.menuia.com/qr/..."
}
]
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum link de compartilhamento encontrado."
}
⌘I

